Skip to content

Bulk Update Campaigns

Request

Update multiple campaigns

Security
Auth0(Required scopes: offline_accessmanage:services)
Bodyapplication/json
updateArray of objects, non-empty, unique(campaign_bulk)required
POST
/bulk_update/campaigns
curl -i -X POST \
  https://api.mediamath.com/api/v3.0/bulk_update/campaigns \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "update": [
      {
        "archived": false,
        "status": true,
        "name": "string",
        "service_type": "SELF",
        "io_name": "string",
        "io_reference_num": "string",
        "is_programmatic_guaranteed": true,
        "political": false,
        "source_campaign_id": 7,
        "zone_name": "string",
        "viewability": {
          "vendor_id": 34,
          "type": "AUTO_TAG",
          "sample_rate": 1
        },
        "identity": {
          "device_graph_only": false,
          "bid_min_devices": 1,
          "connected_id_type": "DETERMINISTIC_FIRST"
        },
        "ad_server": {
          "ad_server_id": 19,
          "ad_server_username": "string",
          "ad_server_password": "string",
          "use_default_ad_server": true,
          "ad_server_fee": 9999999.99
        },
        "pacing": {
          "pacing_alert": 0,
          "impression_cap_automatic": false,
          "impression_cap_amount": 11,
          "impression_cap_type": "even",
          "spend_cap_type": "even",
          "spend_cap_amount": 0,
          "spend_cap_automatic": true,
          "brain_intraday_pacing": false,
          "spend_pace_ahead": false,
          "impression_pace_ahead": false
        },
        "attribution": {
          "has_custom_attribution": false,
          "custom_attribution_source": "3rd Party Attribution",
          "pc_window_minutes": 5,
          "pv_window_minutes": 6,
          "pv_pct": 100,
          "merit_pixel_id": 17,
          "merit_pixels": [
            {
              "pixel_id": 1,
              "weight": 1,
              "funnel_position": 1
            }
          ],
          "conversion_type": "every",
          "conversion_variable_minutes": 1
        },
        "vendor_contracts": [
          {
            "vendor_id": 23,
            "use_mm_contract": true,
            "price": 0.1,
            "rate_card_type": "CPM"
          }
        ],
        "mfa_avoidance": "INHERIT",
        "targeting_identity_level": "INHERIT",
        "id": 67,
        "version": 1,
        "goals": {
          "goal_type": "spend",
          "goal_alert": 999.99,
          "goal_value": 0.0001,
          "goal_category": "audience"
        },
        "duration": {
          "start_date": "2019-08-24T14:15:22Z",
          "end_date": "2019-08-24T14:15:22Z"
        },
        "budget": {
          "total_budget": 0.1,
          "total_impression_budget": 18789,
          "currency_code": "USD",
          "margin_pct": 9999999.9999,
          "dynamic_budget_allocation_type": "SBA_AUTO_ALLOCATION",
          "dynamic_budget_allocation_applied": "2019-08-24T14:15:22Z",
          "dynamic_budget_allocation_available": "2019-08-24T14:15:22Z",
          "flights": [
            {
              "id": 77,
              "start_date": "2019-08-24T14:15:22Z",
              "end_date": "2019-08-24T14:15:22Z",
              "total_budget": 0.1,
              "total_impression_budget": 12345
            }
          ]
        },
        "frequency": {
          "frequency_type": "even",
          "frequency_interval": "hour",
          "frequency_amount": 10,
          "use_mm_freq": false,
          "frequency_optimization": false
        },
        "inventory": {
          "ads_txt_verified": "ANY",
          "minimize_multi_ads": false,
          "override_suspicious_traffic_filter": false,
          "suspicious_traffic_filter_level": 25,
          "dcs_data_is_campaign_level": false,
          "restrict_targeting_to_deterministic_id": true,
          "restrict_targeting_to_same_device_id": true
        }
      }
    ]
  }'

Responses

Campaign bulk response

Bodyapplication/json
dataArray of objects(campaign_bulk)
metaobject(pagination metadata)
Response
{ "data": [ {} ], "meta": { "status": "success", "count": 10, "total_count": 100, "offset": 0, "next_page": "string", "prev_page": "string" } }